-- to be renamed ScreenSelectMode
local t = Def.ActorFrame{
	-- haha this shit shows up WAAAAAAAAY behind the moon
	LoadActor( THEME:GetPathB("ScreenSelectMusic","overlay/banner frame") ) .. {
		InitCommand=cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.8;zoom,0.25);
		OnCommand=cmd(linear,0.2;diffusealpha,0.2);
		OffCommand=cmd(diffusealpha,0);
	};
	
	Def.ActorFrame{
		Name="MoonFrame";
		InitCommand=cmd(Center);
		
		LoadActor( THEME:GetPathB("_common","elements/moon3d") )..{
			Name="MainMoon";
			InitCommand=cmd(blend,'BlendMode_Add';diffusealpha,0.8;zoom,1;spin;effectmagnitude,0,5,0;pitch,10;);
			OffCommand=cmd(diffusealpha,0);
		};
	};
};

return t;